#ifndef LERM_SCRATCH_RECORD_H
#define LERM_SCRATCH_RECORD_H

#include "AdtRecord.h"
#include "ChainBitmap.h"
#include <windows.h>

class ScratchRecord
{
public:
	ScratchRecord();
	ScratchRecord(AdtRecord &rec);
	~ScratchRecord();
	
	int getHeight();

	void setRecord(AdtRecord &rec);
	HBITMAP getBitmap();
	ChainBitmap* createBitmap();
	HBITMAP getFullBMP();
	int saveBMP(const char* fname);
private:
	unsigned char* bits;
	HBITMAP wBMP;
	int lines;
};

#endif