// -  ADT-
// (c)   2002

#include "AdtRecord.h"
#include <windows.h>

AdtRecord::AdtRecord(int size, unsigned char * point)
{
	recSize=size;
	if (recSize>0)
	{
		recPoint=new unsigned char[recSize];
		for(int i=0; i<recSize; i++)
			recPoint[i]=point[i];
	}
	else
		recPoint=NULL;
}

AdtRecord::AdtRecord(AdtRecord& t)
{
	recSize=t.recSize;
	if (recSize==0)
		recPoint=NULL;
	else
	{
		recPoint=new unsigned char[recSize];
		for(int i=0; i<recSize; i++)
			recPoint[i]=t.recPoint[i];
	}
}

AdtRecord::~AdtRecord()
{
	if (recPoint!=NULL)
		delete [] recPoint;
}

char* AdtRecord::getCaption()
{
	int i,n;
	char *point=NULL;

	if (recSize>0)
	{
		for(n=0; (n<recSize)&&(recPoint[n]!='\x0D'); n++) {}
		point=new char[n+1];
		for(i=0; i<n; i++)
			point[i]=recPoint[i];
		point[i]=0;
	}
	else
	{
		point=new char[1];
		point[0]=0;
	}

	return point;
}

unsigned char* AdtRecord::getData()
{
	unsigned char *point=NULL;
	
	if (recSize>0)
	{
		point=new unsigned char[recSize];
		for(int i=0; i<recSize; i++)
			point[i]=recPoint[i];
	}
	
	return point;
}
