#ifndef LERM_CHAIN_BITMAP_H
#define LERM_CHAIN_BITMAP_H

#include <windows.h>

class ChainBitmap
{
public:
	ChainBitmap();
	ChainBitmap(int width, int height, const unsigned char* bits);
	~ChainBitmap();

	void setBitmap(int width, int height, const unsigned char* bits);
	HBITMAP operator[](int num);
	HBITMAP getBitmap(int num);
	int getWidth();
	int getHeight(int num);
	int getCount();
private:
	int width,height;
	int count,lastheight;
	HBITMAP *point;
};

#endif