#include <windows.h>

#include "AdtFile.h"
#include "ScratchFile.h"

ScratchFile::ScratchFile()
:point(NULL),count(0)
{
}

ScratchFile::~ScratchFile()
{
	if (point)
	{
		delete [] point;
	}
}

int ScratchFile::load(const char* fname)
{
	AdtFile iFile;

	if (!iFile.loadFile(fname))
	{
		return 0;
	}

	if (point)
	{
		delete [] point;
	}
	count=iFile.getSize();
	point=new ScratchRecord[count];
	for(int i=0; i<count; i++)
		point[i].setRecord(iFile[i]);
	return 1;
}

int ScratchFile::save(const char *fname)
{
	return 1;
}

int ScratchFile::del(int num)
{
	return 1;
}