#ifndef LERM_SCRATCH_FILE_H
#define LERM_SCRATCH_FILE_H

#include "ScratchRecord.h"

class ScratchFile
{
public:
	ScratchFile();
	~ScratchFile();

	int load(const char* fname);
	int save(const char* fname);

	ScratchRecord& operator[](int num)
	{
		return point[num];
	}

	int size()
	{
		return count;
	}

	int del(int num);
protected:
	ScratchRecord* point;
	int count;
};

#endif